version: '3'
services:
  digifi-mware:
    build:
      context: .
      dockerfile: docker/apache/Dockerfile
      args:
        uid: ${UID}
    environment:
      - APACHE_RUN_USER=#${UID}
      - APACHE_RUN_GROUP=#${UID}
      #- CI_ENV
      - CI_CONFIG
    restart: unless-stopped
    volumes:
      - ./:/var/www/html
      - ./apache_log:/var/log/apache2
    ports:
      - 6330:80
    extra_hosts:
      - "host.docker.internal:host-gateway"
      - oameye.works.wrenchboard.com:10.20.30.27
      - oameye.work.wrenchboard.com:10.10.33.15
      - backend.wrenchboard.api.live:10.10.33.15
      - backend.wrenchboard.api.test:10.10.33.15
      - apigate.lotus.g1.wrenchboard.com:10.10.33.15
      - apigate.orion.g1.wrenchboard.com:10.10.33.15
      - apigate.nebula.g1.wrenchboard.com:10.10.33.15
      #- backend.wrenchboard.api.live:172.31.4.27
      #- backend.wrenchboard.api.test:10.20.30.27
      - apigateway.wrenchboard.app.dev.fluxtra.net:10.20.30.19
      - apigateway.wrenchboard.app.lotus.fluxtra.net:172.31.4.19
volumes:
  src:
